## imcode.util
Class ShouldNotBeThrownException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.lang.exception.NestableRuntimeException
                      org.apache.commons.lang.UnhandledException
                          imcode.util.ShouldNotBeThrownException

All Implemented Interfaces:
  java.io.Serializable, org.apache.commons.lang.exception.Nestable

Direct Known Subclasses:
  ShouldHaveCheckedPermissionsEarlierException

    public class ShouldNotBeThrownException

extends org.apache.commons.lang.UnhandledException

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.lang.exception.NestableRuntimeException
`delegate`

Constructor Summary
`ShouldNotBeThrownException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class org.apache.commons.lang.exception.NestableRuntimeException
`getCause, getMessage, getMessage, getMessages, getThrowable, getThrowableCount, getThrowables, indexOfThrowable, indexOfThrowable, printPartialStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShouldNotBeThrownException

    public ShouldNotBeThrownException(java.lang.Throwable cause)